| Qore FixedLengthUtil Module Reference 1.2.1

Public Member Functions | List of all members
FixedLengthUtil::FixedLengthWriteDataProviderFactory Class Reference

The read-only fixed-length data provider factory. More...

Inherits AbstractDataProviderFactory.

## Public Member Functions
Class | getClass ()
| Returns the class for the data provider object.
hash< DataProviderInfo > | getInfo ()
| Returns static provider information. More...
string | getName ()
| Returns the name of the data provider factory.

## Detailed Description

The read-only fixed-length data provider factory.

## Member Function Documentation

## ◆ getInfo()

hash<DataProviderInfo> FixedLengthUtil::FixedLengthWriteDataProviderFactory::getInfo | ( |  | ) |

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes